/*------------------------------------------------------------
 * Responsive Utilities
 *------------------------------------------------------------*/

/* @media query vars
 *------------------------------------------------------------*/

@mini:      ~"only screen and (max-width: 480px)";
@mobile:    ~"only screen and (max-width: 599px)";
@tablet:    ~"only screen and (min-width: 600px) and (max-width: 1170px)";
@tablet-v:  ~"only screen and (min-width: 600px) and (max-width: 960px)";
@tablet-h:  ~"only screen and (min-width: 961px) and (max-width: 1170px)";
@desktop:   ~"only screen and (min-width: 1171px)";
@desktop-s: ~"only screen and (min-width: 1171px) and (max-width: 1399px)";
@desktop-m: ~"only screen and (min-width: 1400px)";
@desktop-l: ~"only screen and (min-width: 1650px)";



/* Visibility utilities
 *------------------------------------------------------------*/

.hidden {
	display: none;
	visibility: hidden;
}

/* hide when javascript disabled */
.no-js .no-js-hidden {
	display: none;
	visibility: hidden;
}



/* For Mobile ( Default for mobile-first approach)
 *------------------------------------------------------------*/

.visible-mobile {
	display: inherit !important;
	@media @tablet 	{ display: none !important;}
	@media @desktop { display: none !important;}
}

.visible-tablet {
	display: none !important;
	@media @tablet 	{ display: inherit !important;}
	@media @desktop { display: none !important;}
}

.visible-touchscreen {
	display: inherit !important;
	@media @tablet 	{ display: inherit !important;}
	@media @desktop { display: none !important;}
}

.visible-desktop {
	display: none !important;
	@media @tablet 	{ display: none !important;}
	@media @desktop { display: inherit !important;}
}

.hidden-mobile {
	display: none !important;
	@media @tablet 	{ display: inherit !important;}
	@media @desktop { display: inherit !important;}
}

.hidden-tablet {
	display: inherit !important;
	@media @tablet 	{ display: none !important;}
	@media @desktop { display: inherit !important;}
}

.hidden-desktop {
	display: inherit !important;
	@media @tablet 	{ display: inherit !important;}
	@media @desktop { display: none !important;}
}
